Bug 845531 - [abrt] gedit-3.4.2-1.fc17: strlen: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.4.2-1.fc17: strlen: Process /usr/bin/gedit was killed by signa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:693be7e169e530d36def6641705...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 06:56 EDT by Alessandro Cresto Miseroglio
Modified: 2013-08-01 06:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:20:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (18.97 KB, text/plain)
2012-08-03 06:56 EDT, Alessandro Cresto Miseroglio
no flags Details
File: maps (78.49 KB, text/plain)
2012-08-03 06:56 EDT, Alessandro Cresto Miseroglio
no flags Details
File: backtrace (39.68 KB, text/plain)
2012-08-03 06:56 EDT, Alessandro Cresto Miseroglio
no flags Details

  None (edit)
Description Alessandro Cresto Miseroglio 2012-08-03 06:56:23 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gedit /home/alex/Downloads/smartcam-1.4.0/src/UIHandler.h
crash_function: strlen
executable:     /usr/bin/gedit
kernel:         3.5.0-2.fc17.x86_64
pid:            7218
remote_result:  830313
time:           ven 03 ago 2012 12:39:55 CEST
uid:            1000
var_log_messages: Aug  3 12:39:57 devalex abrt[7304]: Saved core dump of pid 7218 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-08-03-12:39:55-7218 (83906560 bytes)

backtrace:      Text file, 40633 bytes
dso_list:       Text file, 19430 bytes
maps:           Text file, 80370 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/alex/3

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x85f31 __strlen_sse2 libc.so.6 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x648ad g_strjoinv libglib-2.0.so.0 -
:e8c0aa93d08a7ba9634678e85448e8b9d3c17515 0x2fa3d - libgcp.so -
:e8c0aa93d08a7ba9634678e85448e8b9d3c17515 0x31418 - libgcp.so -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x6a305 - libglib-2.0.so.0 -
:6086bff484a49cc8b80cb714d7e83a6391394800 0x7d14 start_thread libpthread.so.0 -
:f69712fe393313f44607679e934bf5a67f39ec50 0xf197d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=3
:VIRTUALENVWRAPPER_PROJECT_FILENAME=.project
:HOSTNAME=devalex.notebook
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:LD_LIBRARY_PATH=/usr/local/cuda/lib64:
:PATH=/usr/local/cuda/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/alex/.local/bin:/home/alex/bin:/home/alex/Android-SDK/android-sdk-linux/platform-tools:/usr/java/java1.7.0_05/bin:/home/alex/Android-SDK/android-sdk-linux/tools:/home/alex/.local/bin:/home/alex/bin:/home/alex/Android-SDK/android-sdk-linux/platform-tools:/usr/java/java1.7.0_05/bin:/home/alex/Android-SDK/android-sdk-linux/tools
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:JAVA_HOME=/usr/java/jdk1.7.0_05
:XMODIFIERS=@im=none
:LANG=it_IT.utf8
:GDM_LANG=it_IT.utf8
:VIRTUALENVWRAPPER_VIRTUALENV=/usr/bin/virtualenv
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:SHLVL=1
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-c4wg9SWXxC,guid=27fc8cd415828ed367505cef0000087d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-alex-PJXct6/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1396,unix/unix:/tmp/.ICE-unix/1396
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=7218
:DESKTOP_STARTUP_ID=nautilus-7050-devalex.notebook-gedit-1_TIME16877682

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31448                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31448                31448                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/alex/.xsession-errors
:pos:	73483
:flags:	0102002
:2:/home/alex/.xsession-errors
:pos:	73483
:flags:	0102002
:3:socket:[271890]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[272465]
:pos:	0
:flags:	02004002
:6:socket:[272467]
:pos:	0
:flags:	02000002
:7:socket:[272468]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:/dev/urandom
:pos:	0
:flags:	02100000
:12:/tmp/ffidV5uMf (deleted)
:pos:	0
:flags:	0100002
:13:socket:[271894]
:pos:	0
:flags:	02000002
:14:anon_inode:inotify
:pos:	0
:flags:	02004000
:15:socket:[272480]
:pos:	0
:flags:	02004002
:16:socket:[272483]
:pos:	0
:flags:	02004002
:17:/dev/ptmx
:pos:	0
:flags:	0104002
:18:/dev/pts/0
:pos:	0
:flags:	0100002
:19:socket:[271911]
:pos:	0
:flags:	02
:20:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:21:/home/alex/.local/share/gvfs-metadata/home
:pos:	0
:flags:	0100000
:22:/home/alex/.local/share/gvfs-metadata/home-884abd29.log
:pos:	0
:flags:	0100000

smolt_data:
:
:
:Generale
:=================================
:UUID: 9cb477c8-f2ca-48b1-a40a-b07991318ae0
:OS: Fedora release 17 (Beefy Miracle)
:Run level predefinito: Unknown
:Linguaggio: it_IT.utf8
:Piattaforma: x86_64
:BogoMIPS: 4522.42
:Venditore CPU: GenuineIntel
:Modello CPU: Intel(R) Core(TM)2 Duo CPU     P8400  @ 2.26GHz
:CPU Stepping: 6
:Famiglia della CPU: 6
:Numero modello CPU: 23
:Numero di CPU: 2
:Velocità CPU: 2267
:Memoria di sistema: 3952
:Swap di sistema: 6015
:Venditore: Hewlett-Packard
:Sistema: HP Pavilion dv3500 Notebook PC F.03
:Form factor: Notebook
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux abilitato: 1
:Politica di SELinux: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivi
:=================================
:(32902:10550:4156:5381) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(4332:33128:4156:5381) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:10544:4156:5381) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4156:5381) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10560:4156:5381) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4156:5381) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(4318:1769:4156:5381) pci, nvidia, VIDEO, G98 [GeForce 9300M GS]
:(32902:10521:4156:5381) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:10558:4156:5381) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10549:4156:5381) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:16951:32902:4625) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:(32902:9288:4156:5381) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10554:4156:5381) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10548:4156:5381) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:4156:5381) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4156:5381) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10816:4156:5381) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4156:5381) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:10553:4156:5381) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10570:4156:5381) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(32902:10556:4156:5381) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Informazioni sul filesystem
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_devalex-lv_root / ext4 4096 4096 13091009 11147656 11016606 3276800 3112089 3112089
:/dev/sda1 /boot ext4 1024 1024 508644 398022 372422 128016 127653 127653
:/dev/mapper/vg_devalex-lv_home /home ext4 4096 4096 46207295 43005587 40692167 11567104 11463117 11463117
:
Comment 1 Alessandro Cresto Miseroglio 2012-08-03 06:56:29 EDT
Created attachment 602108 [details]
File: dso_list
Comment 2 Alessandro Cresto Miseroglio 2012-08-03 06:56:32 EDT
Created attachment 602109 [details]
File: maps
Comment 3 Alessandro Cresto Miseroglio 2012-08-03 06:56:34 EDT
Created attachment 602110 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-07-03 23:09:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 06:20:39 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.